<?php
/***************************************************************************
 *                               db_update_quiz.php
 *                            -------------------
 *
 *   MOD Author           : ©2009 Zlodey
 *   project              : A quiz mod for phpBB2
 *   Website              : http://zlodey.su/
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//

if (isset($_REQUEST['delete'])){
	$delete=intval($_REQUEST['delete']);
	$param="?delete=$delete";
}

$db_update_name="db_update_quiz.php"; 

if( !$userdata['session_logged_in'] )
{
	redirect(append_sid($phpbb_root_path . "login.$phpEx?redirect=$db_update_name".$param));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_ERROR, 'Вы не авторизованы как администратор');
}

if ($delete != 1){
	$gen_simple_header = TRUE;
	$page_title = $board_config['sitename'].' - Обновление базы данных ';
	include($phpbb_root_path . 'includes/page_header.'.$phpEx);
	echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
	echo '<tr><th>Обновление базы данных</th></tr><tr><td class="row1"><span class="gen"><ul type="circle">';
$sql = array();
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "question";
$sql[] = "CREATE TABLE `" . $table_prefix . "question` (
  `id` int(5) NOT NULL auto_increment,
  `question` text NOT NULL,
  `otvet_1` text NOT NULL,
  `otvet_2` text NOT NULL,
  `otvet_3` text NOT NULL,
  `otvet_4` text NOT NULL,
  `otvet_verno` TINYINT(1) NOT NULL default '0',
  `moder` TINYINT(1) NOT NULL default '1',
  `bonus` TINYINT(1) NOT NULL default '0',
  `author` varchar(32) default 'unknown',
  PRIMARY KEY  (`id`)
)";
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "questions_temp";
$sql[] = "CREATE TABLE `" . $table_prefix . "questions_temp` (
  `id` int(4) NOT NULL auto_increment,
  `question` text NOT NULL,
  `otvet_1` text NOT NULL,
  `otvet_2` text NOT NULL,
  `otvet_3` text NOT NULL,
  `otvet_4` text NOT NULL,
  `otvet_verno` TINYINT(1) NOT NULL,
  `author` int(6) NOT NULL,
  `isto` text NOT NULL default '',
  PRIMARY KEY  (`id`)
)";
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "questions_active";
$sql[] = "CREATE TABLE `" . $table_prefix . "questions_active` (
  `user_id` int(6) NOT NULL,
  `on_off_user` TINYINT(1) NOT NULL default '0',
  `vop_id` int(5) NOT NULL,
  `real_otvet` TINYINT(1) NOT NULL,
  `bonus` TINYINT(1) NOT NULL default '0',
  `progr` INT(3) NOT NULL default '0',
  `start_time` INT(11) NOT NULL default '0',
  `zad_vop` INT(6) NOT NULL default '0',
  `right_otv` INT(6) NOT NULL default '0',
  `pris_vop` INT(6) NOT NULL default '0',
  `prin_vop` INT(6) NOT NULL default '0',
  `u1` INT(5) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
)";
$sql[] = "DROP TABLE IF EXISTS " . $table_prefix . "questions_config";
$sql[] = "CREATE TABLE `" . $table_prefix . "questions_config` (
  `config_name` varchar(32) NOT NULL default '',
  `config_value` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`config_name`)
)";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('on_off', '1')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('cost_right', '1')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('cost_input', '2')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('max_numb_temp', '10')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('min_time', '2')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('otv_time', '20')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('numb2rate', '3')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('adm_bonus', '1')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('adm_bonus_n', '10')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('snd_on', '1')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('popup', '2')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('automoder', '0')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('version', '1.05')";
$sql[] = "INSERT INTO `" . $table_prefix . "questions_config` ( `config_name` , `config_value` ) VALUES ('n1', '0')";	
	for( $i = 0; $i < count($sql); $i++ )
	{
		if( !$db->sql_query($sql[$i]) )
		{
			$error = $db->sql_error();
			echo '<li>' . $sql[$i] . '<br />+++ <b style="color:#FF0000">Ошибка:</b> ' . $error['message'] . '</li><br />';
		}
		else
		{
			echo '<li>' . $sql[$i] . '<br />+++ <b style="color:#00AA00">Успешно</b></li><br />';
		}
	}
	echo '</ul></span><br /></td></tr>';
	echo '<tr><th>Завершение</th></tr><tr><td class="row1"><span class="gen"><b>Не забудьте удалить этот скрипт с сервера.</b><br />Если при выполнении этого скрипта возникли ошибки, посетите <a href="http://forum.aeroion.ru/forum1.html" target="_aeroion">forum.aeroion.ru</a> для помощи.</span>';
	echo '<br /><br><div align="center">';
	echo '<form action="'.$db_update_name.'" method="POST">';
	echo '<input type="hidden" name="delete" value="1">';
	echo '<input type="submit" name="submit" value="Удалить ' .$db_update_name. ' с сервера" class="mainoption">';
	echo '</form><br /></div></td></tr>';
	echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">'.$board_config['sitename'].'</a></span></td></tr>';
	echo '</table>';
	include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
}
else
{
	if (!@unlink($db_update_name))
	{
		$message = '<br />+++ <b style="color:#FF0000">Ошибка:</b> Невозможно удалить файл ' . $db_update_name;
		$message .= '<br /><br /><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">' . $board_config['sitename'] . '</a></span>';
		message_die(GENERAL_ERROR, $message);
	}
	else
	{
		$message = '<br />+++ <b style="color:#00AA00">' . $db_update_name . ' успешно удален</b>';
		$message .= '<br /><br /><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">' . $board_config['sitename'] . '</a></span>';
		message_die(GENERAL_MESSAGE, $message);
	}		
}
?>